Downloads a CSV template that can be filled out and uploaded
GET /users/templates/download/{templateName}
Operation id: UserMappingTemplateService_DownloadUserTemplate
Description
Permission Level: Read
Tags: UserMappingTemplateService
Parameters
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
templateName | string | Yes | The template name, Required = true |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
tenantId | string | No | The id of the tenant, Required = true |
Security
- Authorization (apiKey)
- Bearer token
Responses
200 — A successful response.(streaming responses)
Content type: application/json
default — An unexpected error response.
Content type: application/json
Response models
200 — A successful response.(streaming responses)
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
result | object | No | |
error | object | No |
{
"type": "object",
"properties": {
"result": {
"type": "object",
"properties": {
"data": {
"type": "string",
"format": "byte"
},
"fileName": {
"type": "string"
},
"csvHeader": {
"type": "string"
}
}
},
"error": {
"type": "object",
"properties": {
"code": {
"type": "integer",
"format": "int32"
},
"message": {
"type": "string"
},
"details": {
"type": "array",
"items": {
"type": "object",
"properties": {
"@type": {
"type": "string"
}
}
}
}
}
}
}
}
default — An unexpected error response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
code | integer (int32) | No | |
message | string | No | |
details | array | No |
{
"type": "object",
"properties": {
"code": {
"type": "integer",
"format": "int32"
},
"message": {
"type": "string"
},
"details": {
"type": "array",
"items": {
"type": "object",
"properties": {
"@type": {
"type": "string"
}
}
}
}
}
}